listNotifications
GET
/v1/me/notifications
const url = 'https://testnet-rpc.necter.network/v1/me/notifications?limit=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://testnet-rpc.necter.network/v1/me/notifications?limit=50' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”unread
boolean
limit
integer
cursor
string
Responses
Section titled “Responses”Notifications
Media typeapplication/json
object
items
required
array
next_cursor
required
string | null
items
required
Array
object
id
required
string
type
required
Dotted names. Network: module.event, round.finalized, round.escalated, epoch.settled,
project.listed, project.paused, project.delisted, project.version_activated, slash.executed.
Account: device.bound, device.unbound, device.online, device.offline, subscription.created,
subscription.active, subscription.paused, subscription.resumed, subscription.jailed,
subscription.unbonding, lease.offered, lease.missed, proof.verified, proof.rejected,
slash.proposed, slash.disputed, slash.cancelled, payout.claimable, withdrawal.completed,
developer.enrollment_approved, developer.enrollment_rejected, developer.verified,
listing.approved, listing.rejected, faucet.dripped.
string
created_at
required
integer
project_id
string
module
string
address
Lowercase EVM address
string
node_id
string
subscription_id
string
round_id
string
tx_hash
string
message
string
data
Event-specific JSON
read
boolean
severity
string
unread
integer
Example
{ "items": [ { "severity": "info" } ]}